/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.transport.udp;

import junit.textui.TestRunner;
import org.activemq.transport.TransportChannelProvider;
import org.activemq.transport.TransportChannelTestSupport;

import java.net.URI;

/**
 * @version $Revision: 1.1.1.1 $
 */
public class UdpTransportChannelTest extends TransportChannelTestSupport {

    public static void main(String[] args) {
        TestRunner.run(UdpTransportChannelTest.class);
    }

    public UdpTransportChannelTest(String name) {
        super(name);
    }

    public void testRpc() throws Exception {
        /** TODO UDP doesn't support RPC just yet */
    }
    
	public void testAsyncSendWithReceipt() throws Exception {
		/** TODO UDP doesn't support async sends with receipts. **/
	}

    protected void setUp() throws Exception {
        receiver = TransportChannelProvider.create(wireFormat, new URI("udp://localhost:8888"));
        configureReceiver();

        sender = new UdpTransportChannel(wireFormat, new URI("udp://localhost:8890"), 8888);
        //sender = new UdpTransportChannel(new DatagramSocket(null), 8888);
        super.setUp();
    }

}